/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.syncclient.sps;

import javax.microedition.rms.RecordComparator;

/**
 * This class provide
 * method to compare records
 * on record key
 *
 * $Id: SimpleComparator.java,v 1.2 2005/01/19 11:17:41 fabius Exp $
 */
public class SimpleComparator implements RecordComparator {

    //------------------------------------------------------------- Constructors

    public SimpleComparator() {

    }

    //------------------------------------------------------------- Public Methods

    public int compare(byte[] record1,
                       byte[] record2) {

        String keyValueRecord1 = null;
        String keyValueRecord2 = null;

        keyValueRecord1 = (new String(record1)).substring(0, 3);
        keyValueRecord2 = (new String(record2)).substring(0, 3);


        if (keyValueRecord1.compareTo(keyValueRecord2) < 0) {
            return RecordComparator.PRECEDES;
        }
        else {
            return RecordComparator.FOLLOWS;
        }

    }
}